import I18nProvider from './I18nProvider';
import I18nLoader from './I18nLoader';
import Trans from './Trans';
import { I18n } from './i18nContext';
import withTranslator, { ITranslator as T } from './withTranslator';
import { useI18n } from './useI18n';
import LocaleContext from './LocaleContext';
export { I18nProvider, I18nLoader, I18n, Trans, withTranslator, useI18n, LocaleContext };
export declare type ITranslator = T;
