import { useContext } from 'react';
import { i18nContext } from './i18nContext';
export function useI18n() {
  if (useContext === undefined) {
    throw new Error("The useI18n hook is being used with a version of React that doesn't support hooks!");
  }

  return useContext(i18nContext);
}