"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _i18nContext = require("./i18nContext");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function withTranslator(ComponentToWrap) {
  var WithTranslator = function WithTranslator(props) {
    return /*#__PURE__*/_react.default.createElement(_i18nContext.I18n, null, function (translator) {
      return /*#__PURE__*/_react.default.createElement(ComponentToWrap, _extends({}, props, {
        translator: translator
      }));
    });
  };

  return WithTranslator;
}

var _default = withTranslator;
exports.default = _default;