"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useI18n = useI18n;

var _react = require("react");

var _i18nContext = require("./i18nContext");

function useI18n() {
  if (_react.useContext === undefined) {
    throw new Error("The useI18n hook is being used with a version of React that doesn't support hooks!");
  }

  return (0, _react.useContext)(_i18nContext.i18nContext);
}